Subject: Re: linux-next: lots of errors/warnings from the -Werror=missing-prototypes addition

From: "Arnd Bergmann" <[email-masked]>
Date: Thu, 30 Nov 2023 22:36:50 +0100

On Thu, Nov 30, 2023, at 17:19, Andrew Morton wrote:
> On Thu, 30 Nov 2023 09:07:38 +0100 "Arnd Bergmann" <[email-masked]> wrote:
>
>> > I guess it should precede "Makefile.extrawarn: turn on
>> > missing-prototypes globally".
>> 
>> I already have a collection of patches to fix up known
>> -Wmissing-prototype warnings across architectures in the
>> asm-generic tree, so I'll add this patch there:
>> 
>> commit bdef96eb0b89dfa80992312a8e3b2613bf178ae5
>> Author: Arnd Bergmann <[email-masked]>
>> Date:   Thu Nov 30 00:07:07 2023 +0100
>> 
>>     arch: turn off -Werror for architectures with known warnings
>
> I think this would be better in the mm-nonmm tree, alongside
> "Makefile.extrawarn: turn on missing-prototypes globally".  Can I steal it?

Agreed, that does help with bisection. I had pushed out the
asm-generic branch with the patch earlier today but now reverted
back to the previous state.

      Arnd